Bug 114712 - Build Dependency overlooked
Build Dependency overlooked
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-01-31 22:53 EST by Brian Fahrlander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-02 02:17:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Fahrlander 2004-01-31 22:53:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.12

Description of problem:
Rebuilding these new RPMs was necessary due to a lot of 'relocation
errors' that stopped it from loading and running. (No surprise- it's new)

Rebuilding the SRPMs was problematic due to not having
evolution-data-server-devel installed before trying to rebuild
evolution's SRPM.

If you could include this dependency, other neophytes like me will
understand properly that this is a required component for rebuilding.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Remove evolution-data-server-devel
2. rpmbuild --rebuild --target athlon /path/to/evolution-
3. Enjoy.

Actual Results:  It mentioned not having "libecal-1.0" in it's path,
which, unless you're watching development as closely as a programmer,
would be clear.  But for people (professional bugtesters, as well as
guys like me) have no clue where to go.

Expected Results:  Normally things like this are included, but
sometimes they're not, leading us to the anomaly.  Normally the build
either goes, or ends in an error that's more readable, calling out the
package name.

Additional info:

It's not a big deal; it's not exotic or complex, but it'll help a lot
to clear this up.
Comment 1 Miloslav Trmac 2004-02-01 08:36:20 EST
Comment 2 Jef Spaleta 2004-02-01 15:44:09 EST
Confirmed, adding easyfix keyword

also changed Fedora Core release to devel.
evolution 1.5.3 is not in FC1
Comment 3 Jeremy Katz 2004-02-17 18:59:53 EST
Added in CVS, will be in next 1.5.x build
Comment 4 Brian Fahrlander 2004-03-11 10:21:49 EST
I can't really tell if this works, though I'm almost certain it would

Right now I'm fighting the need for Orbit (orbit2?) and libgal
versions I can't reach, in order to rebuild the
evolution/evolution-devel RPMs. they weren't included in the same
place as the new ones, and I've not 'shaken the trees' hard enough yet.

Would this be a new issue?

Note You need to log in before you can comment on or make changes to this bug.